uniform sampler2D FieldSampler;
uniform float Cutoff;
uniform vec4 Color;

const float Wiggle = 0.05;

void main()
{
	vec2 tc = gl_TexCoord[0].st;
	vec4 tex = texture2D(FieldSampler, tc);
	float d = tex.r;
	
	float s = smoothstep(Cutoff-Wiggle, Cutoff+Wiggle, d);
	
	gl_FragColor = Color;
	gl_FragColor.a *= s;
	//gl_FragColor.r = tex.a;
	//gl_FragColor.a = tex.a;
}
